summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Chess Griffin <chess@chessgriffin.com>2010-05-11 14:56:16 +0200
committer Eric Hameleers <alien@slackbuilds.org>2010-05-11 14:56:16 +0200
commitd7176c0fc60fdce01921546897d45d066f7caa62 (patch)
treee40ee80f3624779018ef58a2348f4731a58f2992 /libraries
parent177f37f37614af0ce754371f132b85db729da4ce (diff)
downloadslackbuilds-d7176c0fc60fdce01921546897d45d066f7caa62.tar.gz
slackbuilds-d7176c0fc60fdce01921546897d45d066f7caa62.tar.xz
libraries/imlib2: Initial import
Diffstat (limited to 'libraries')
-rw-r--r--libraries/imlib2/README16
-rw-r--r--libraries/imlib2/imlib2.SlackBuild55
-rw-r--r--libraries/imlib2/imlib2.info8
-rw-r--r--libraries/imlib2/slack-desc11
4 files changed, 90 insertions, 0 deletions
diff --git a/libraries/imlib2/README b/libraries/imlib2/README
new file mode 100644
index 0000000000..3ffe75b492
--- /dev/null
+++ b/libraries/imlib2/README
@@ -0,0 +1,16 @@
+Imlib2 is the successor to Imlib.
+
+Imlib2 can load image files from disk in one of many formats, save
+images to disk in one of many formats, render image data onto other
+images, render images to an X-Windows drawable, produce pixmaps and
+pixmap masks of images, apply filters to images, rotate images,
+accept RGBA data for images, scale images, and more.
+
+Slackware 11 comes with Imlib 1.9. From the imlib2 website:
+
+"Imlib2 can be installed alongside Imlib 1.x without any problems since
+they are effectively different libraries - but they Have very similar
+functionality."
+
+Homepage: http://www.enlightenment.org/Libraries/Imlib2
+
diff --git a/libraries/imlib2/imlib2.SlackBuild b/libraries/imlib2/imlib2.SlackBuild
new file mode 100644
index 0000000000..daf9f09c31
--- /dev/null
+++ b/libraries/imlib2/imlib2.SlackBuild
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+# Slackware build script for Imlib2
+
+# Written by Chess Griffin <chess at chessgriffin dot com>
+# Modified by the SlackBuilds.org project
+
+PRGNAM=imlib2
+VERSION=1.3.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING COPYING-PLAIN README README.in \
+INSTALL NEWS TODO Doxyfile doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -name "Makefile*" -exec rm {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/imlib2/imlib2.info b/libraries/imlib2/imlib2.info
new file mode 100644
index 0000000000..44d7a2f465
--- /dev/null
+++ b/libraries/imlib2/imlib2.info
@@ -0,0 +1,8 @@
+PRGNAM="imlib2"
+VERSION="1.3.0"
+HOMEPAGE="http://www.enlightenment.org/Libraries/Imlib2/"
+DOWNLOAD="http://dl.sourceforge.net/enlightenment/imlib2-1.3.0.tar.gz"
+MD5SUM="00b724fc6d2dcfa3045bb6a554bb2c8a"
+MAINTAINER="Chess Griffin"
+EMAIL="chess@chessgriffin.com"
+APPROVED="alien,robw810"
diff --git a/libraries/imlib2/slack-desc b/libraries/imlib2/slack-desc
new file mode 100644
index 0000000000..11cc4ac0fb
--- /dev/null
+++ b/libraries/imlib2/slack-desc
@@ -0,0 +1,11 @@
+imlib2: Imlib2 is the successor to Imlib.
+imlib2:
+imlib2: Imlib2 can load image files from disk in one of many formats, save
+imlib2: images to disk in one of many formats, render image data onto other
+imlib2: images, render images to an X-Windows drawable, produce pixmaps and
+imlib2: pixmap masks of images, apply filters to images, rotate images,
+imlib2: accept RGBA data for images, scale images, and more.
+imlib2:
+imlib2: Homepage: http://www.enlightenment.org/Libraries/Imlib2
+imlib2:
+imlib2: